← Toutes les catégories d'outils
150 outils de travail

Outils de texte & liste

Nettoyez, comparez et mesurez le contenu sans télécharger de données de travail.

Centrer les lignes de texte

Centrer chaque ligne à l’intérieur d’une largeur exacte en caractères Unicode tout en conservant les lignes vides et en refusant toute troncature destructive.

Ouvrir l’outil →

Supprimer le préfixe des mots

Supprimez un fragment initial exact de mots Unicode correspondants et laissez la ponctuation, les espaces et les mots non correspondants inchangés.

Ouvrir l’outil →

Supprimer le suffixe des mots

Supprimez une seule terminaison exacte des mots Unicode correspondants sans aplatir les séparateurs ni modifier les mots qui ne portent pas ce suffixe.

Ouvrir l’outil →

Insérer un séparateur entre les caractères

Placez un séparateur choisi entre les points de code Unicode sans diviser les paires de substitution telles que emoji en moitiés invalides.

Ouvrir l’outil →

Citer chaque ligne de texte

Encadrez chaque ligne entre guillemets doubles, guillemets simples ou accents graves tout en préservant les lignes vides et l'ordre original des lignes.

Ouvrir l’outil →

Supprimer les guillemets des lignes de texte

Supprimez une paire de guillemets externes équilibrés de chaque ligne à l'aide de la correspondance automatique ou explicite du style de guillemets.

Ouvrir l’outil →

Citez chaque mot

Entourez chaque jeton de mot Unicode avec un caractère de guillemet choisi tout en conservant les virgules, la ponctuation et l'espacement d'origine.

Ouvrir l’outil →

Supprimer les citations des mots

Développer individuellement les mots Unicode entre guillemets lorsque les deux guillemets correspondent, sans supprimer les guillemets sans rapport dans le texte.

Ouvrir l’outil →

Normaliser les lignes vides

Limitez le nombre maximal exact de lignes vides consécutives tout en préservant l'indentation et chaque ligne non vide.

Ouvrir l’outil →

Convertir des espaces en nouvelles lignes

Transformez chaque jeton séparé par des espaces en une ligne et réduisez de manière déterministe les espaces répétés, les tabulations et les sauts de ligne existants.

Ouvrir l’outil →

Convertir un saut de ligne en séparateur

Joignez les lignes de texte non vides avec un séparateur configurable tout en ne supprimant que les espaces externes de chaque ligne.

Ouvrir l’outil →

Analyseur de fréquence de mots

Classez les mots Unicode par nombre d’occurrences avec longueur minimale réglable, limite de résultats et comparaison sensible à la casse.

Ouvrir l’outil →

Trier les lettres à l'intérieur des mots

Triez les lettres et les chiffres Unicode à l'intérieur de chaque mot indépendamment, sans déplacer la ponctuation ni les mots eux-mêmes.

Ouvrir l’outil →

Trier tous les caractères de texte

Ordre de chaque point de code Unicode à travers l'entrée complète avec suppression optionnelle des espaces blancs et direction croissante ou décroissante explicite.

Ouvrir l’outil →

Nombre Texte Phrases

Mettez chaque phrase détectée sur sa propre ligne numérotée avec une valeur de départ configurable et trois styles de marqueurs lisibles.

Ouvrir l’outil →

Numéro Texte Paragraphes

Numérotez les paragraphes séparés par des lignes vides tout en conservant les sauts de ligne internes et la mise en forme de chaque paragraphe.

Ouvrir l’outil →

Duplicate Sentence Finder

Répertoriez les phrases complètes répétées avec les compteurs en utilisant une comparaison explicite sensible ou insensible à la casse.

Ouvrir l’outil →

Extracteur de phrase unique

Conservez la première occurrence de chaque phrase complète et supprimez les doublons suivants selon une règle de casse sélectionnable.

Ouvrir l’outil →

Encodeur et décodeur de texte Base32

Convertir du texte UTF-8 en Base32 canonique RFC 4648 ou décoder strictement une valeur Base32 avec ou sans bourrage.

Ouvrir l’outil →

Base32hex Text Encoder et Decoder

Encoder et décoder UTF-8 avec l’alphabet Base32 hexadécimal étendu défini par la section 7 de la RFC 4648.

Ouvrir l’outil →

Base45 Text Encoder et Decoder

Transforme le texte UTF-8 avec l'alphabet compact RFC 9285 Base45 utilisé par les formats de données orientés QR.

Ouvrir l’outil →

Encodeur et décodeur de texte Bitcoin Base58

Convertir les octets UTF-8 avec l'alphabet Bitcoin Base58 tout en conservant les octets zéro de tête exactement.

Ouvrir l’outil →

Ascii85 Text Encoder et Decoder

Encoder l’UTF-8 en groupes Ascii85 de cinq caractères ou décoder des données strictement compatibles Adobe avec délimiteurs facultatifs et compression z.

Ouvrir l’outil →

Encodeur et décodeur de texte imprimable

Encodez du texte de type e-mail en UTF-8 au format quoted-printable RFC 2045 ou décodez des échappements majuscules validés et des sauts de ligne normalisés par le navigateur.

Ouvrir l’outil →